Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://cloudlab.scispot.io/labspace/documentation/add-labsheet \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "labsheet": "<string>", "items": [ "<string>" ], "barcodeList": [ "<string>" ], "batch": "<string>", "name": "<string>", "uuid": "<string>", "hrid": "<string>" } '
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({ labsheet: '<string>', items: ['<string>'], barcodeList: ['<string>'], batch: '<string>', name: '<string>', uuid: '<string>', hrid: '<string>' }) }; fetch('https://cloudlab.scispot.io/labspace/documentation/add-labsheet', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://cloudlab.scispot.io/labspace/documentation/add-labsheet" payload = { "labsheet": "<string>", "items": ["<string>"], "barcodeList": ["<string>"], "batch": "<string>", "name": "<string>", "uuid": "<string>", "hrid": "<string>" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
{ "success": true }
{ "success": false, "message": "Error" }
{ "success": false, "message": "Invalid Authentication Token" }
{ "success": false, "message": "Missing Authentication Token" }
{ "success": false, "message": "Not found" }
{ "success": false, "message": "Conflict" }
{ "success": false, "message": "Validation error" }
{ "success": false, "message": "Operation failed" }
Validation notes: provide at least one of name, hrid, uuid.
Target page is identified by one of name, uuid, or hrid. Service can also use barcodeList or batch in some flows.
Personal access token from Scispot Account → Personal Tokens
ID
ID_BARCODE
uuid
first
last
new
OK